import numpy as np
import matplotlib.pyplot as plt

from plot_ree import plot_pr

# plot the results from gradient descent

plt.subplot(2, 2, 1)
plot_pr('ree_seqn1n1n1n1n1n1n1n1n1n1n1n1n1n1n1_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seqn1n1n1n1n1n1n1n1n1n1n1n1n1n1n1_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seqn1n1n1n1n1n1n1n1n1n1n1n1n1n1n1_T1.0_run1.txt', plot_mean=False, plot_label='Target', plot_color='k', plot_format='-')
plot_pr('gd_fits/allhydrophilic/ree_seq_rand1.txt', plot_mean=False, plot_label='Run1', plot_format='o:')
plot_pr('gd_fits/allhydrophilic/ree_seq_rand2.txt', plot_mean=False, plot_label='Run2', plot_format='^:')
plot_pr('gd_fits/allhydrophilic/ree_seq_rand3.txt', plot_mean=False, plot_label='Run3', plot_format='*:')
plot_pr('gd_fits/allhydrophilic/ree_seq_rand4.txt', plot_mean=False, plot_label='Run4', plot_format='d:')
plt.text(0.5, 0.45, 'a) hydrophilic', fontsize=8)
plt.legend(edgecolor='None', fontsize=8)
plt.xlim([0, 10])
plt.ylim([0, 0.5])
plt.xticks([], [])
plt.yticks([0.25, 0.5], ['0.25', '0.50'])

plt.subplot(2, 2, 2)
plot_pr('ree_seq11111n1n1n1n1n111111_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seq11111n1n1n1n1n111111_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seq11111n1n1n1n1n111111_T1.0_run1.txt', plot_mean=False, plot_label='Target', plot_color='k', plot_format='-')
plot_pr('gd_fits/hydrophobicends/ree_seq_rand1.txt', plot_mean=False, plot_label='Run1', plot_format='o:')
plot_pr('gd_fits/hydrophobicends/ree_seq_rand2.txt', plot_mean=False, plot_label='Run2', plot_format='^:')
plot_pr('gd_fits/hydrophobicends/ree_seq_rand3.txt', plot_mean=False, plot_label='Run3', plot_format='*:')
plot_pr('gd_fits/hydrophobicends/ree_seq_rand4.txt', plot_mean=False, plot_label='Run4', plot_format='d:')
plt.text(0.5, 0.45, 'b) hydrophobic ends', fontsize=8)
plt.xlim([0, 10])
plt.ylim([0, 0.5])
plt.xticks([], [])
plt.yticks([], [])

plt.subplot(2, 2, 3)
plot_pr('ree_seq1n11n11n11n11n11n11n11_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seq1n11n11n11n11n11n11n11_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seq1n11n11n11n11n11n11n11_T1.0_run1.txt', plot_mean=False, plot_label='Target', plot_color='k', plot_format='-')
plot_pr('gd_fits/alternating/ree_seq_rand1.txt', plot_mean=False, plot_label='Run1', plot_format='o:')
plot_pr('gd_fits/alternating/ree_seq_rand2.txt', plot_mean=False, plot_label='Run2', plot_format='^:')
plot_pr('gd_fits/alternating/ree_seq_rand3.txt', plot_mean=False, plot_label='Run3', plot_format='*:')
plot_pr('gd_fits/alternating/ree_seq_rand4.txt', plot_mean=False, plot_label='Run4', plot_format='d:')
plt.text(0.5, 0.45, 'c) alternating', fontsize=8)
plt.xlim([0, 10])
plt.ylim([0, 0.5])
plt.xlabel(r'$R_{ee}$')
plt.ylabel(r'$P(R_{ee})$')
plt.xticks([0, 2, 4, 6, 8, 10], ['0', '2', '4', '6', '8', '10'])
plt.yticks([0.00, 0.25, 0.5], ['0.00', '0.25', '0.50'])

plt.subplot(2, 2, 4)
plot_pr('ree_seq11111111n1n1n1n1n1n1n1_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seq11111111n1n1n1n1n1n1n1_T1.0_run1.txt', plot_mean=False, plot_label='', plot_format='-')
plot_pr('ree_seq11111111n1n1n1n1n1n1n1_T1.0_run1.txt', plot_mean=False, plot_label='Target', plot_color='k', plot_format='-')
plot_pr('gd_fits/halfhydrophobic/ree_seq_rand1.txt', plot_mean=False, plot_label='Run1', plot_format='o:')
plot_pr('gd_fits/halfhydrophobic/ree_seq_rand2.txt', plot_mean=False, plot_label='Run2', plot_format='^:')
plot_pr('gd_fits/halfhydrophobic/ree_seq_rand3.txt', plot_mean=False, plot_label='Run3', plot_format='*:')
plot_pr('gd_fits/halfhydrophobic/ree_seq_rand4.txt', plot_mean=False, plot_label='Run4', plot_format='d:')
plt.text(0.5, 0.45, 'd) diblock copolymer', fontsize=8)
plt.xlim([0, 10])
plt.ylim([0, 0.5])
plt.xticks([2, 4, 6, 8, 10], ['2', '4', '6', '8', '10'])
plt.yticks([], [])

plt.subplots_adjust(wspace=0, hspace=0)

plt.savefig('gd_results.png', dpi=200, bbox_inches='tight')


